ckeditor5.upload_image:
  path: '/ckeditor5/upload-image/{editor}'
  defaults:
    _controller: '\Drupal\ckeditor5\Controller\CKEditor5ImageController::upload'
  methods: [POST]
  requirements:
    _entity_access: 'editor.use'
    _custom_access: '\Drupal\ckeditor5\Controller\CKEditor5ImageController::imageUploadEnabledAccess'
    _csrf_token: 'TRUE'
  options:
    parameters:
      editor:
        type: entity:editor

ckeditor5.media_entity_metadata:
  path: '/ckeditor5/{editor}/media-entity-metadata'
  defaults:
    _controller: '\Drupal\ckeditor5\Controller\CKEditor5MediaController::mediaEntityMetadata'
  methods: [GET]
  requirements:
    _entity_access: 'editor.use'
    _custom_access: '\Drupal\ckeditor5\Controller\CKEditor5MediaController::access'
    _csrf_token: 'TRUE'
  options:
    parameters:
      editor:
        type: entity:editor

ckeditor5.entity_link_suggestions:
  path: '/ckeditor5/{editor}/entity-link-suggestions'
  defaults:
    _controller: '\Drupal\ckeditor5\Controller\EntityLinkSuggestionsController::suggestions'
  methods: [GET]
  requirements:
    _entity_access: 'editor.use'
    _custom_access: '\Drupal\ckeditor5\Controller\EntityLinkSuggestionsController::formatUsesEntityLinksFilter'
    # The returned information relies on entity reference selection plugins ensuring only entities are returned that the
    # current user is allowed to see.
    _csrf_token: 'TRUE'
  options:
    parameters:
      editor:
        type: entity:editor
    no_cache: TRUE
    _theme: ajax_base_page
